# This spec is backported to ALTLinux 5.1 automatically by rpmbph script. Do not edit it.
#
Name: udav
Version: 0.6
Release: alt0.M51.1

Summary: UDAV is program for data visualization based on MathGL

Packager: Vitaly Lipatov <lav@altlinux.ru>

License: GPLv2
Group: Sciences/Mathematics
Url: http://udav.sourceforge.net/

Source: http://prdownloads.sf.net/%name/%name-%version.tar

# Automatically added by buildreq on Sun Jan 03 2010
BuildRequires: gcc-c++ libgsl-devel libhdf5-devel libmathgl-devel libqt4-devel

BuildPreReq: libmathgl-devel >= 1.10

BuildRequires: rpm-build-compat >= 0.95

%description
UDAV is program for data arrays visualization based on MathGL library.
It support wide spectrum of graphics, simple script language and
visual data handling and editing. It has windows interface for data
viewing, changing and plotting. Also it can execute MGL scripts, setup
and rotate graphics and so on. MathGL is a free library of fast C++
routines for the plotting

%prep
%setup

%build
subst "s|/usr/local|%_prefix|g" src/src.pro src/main.cpp src/scriptmenu.cpp src/scriptwindow.h
echo "INCLUDEPATH += $(pkg-config hdf5 --cflags | sed -e 's|-I||g')" >>src/src.pro
# use compat functions as in hdf5 1.6
echo "DEFINES += H5_USE_16_API" >>src/src.pro
qmake-qt4 udav.pro
%make_build MGLDOCDIR="%_docdir/udav/"

%install
%__make install INSTALL_ROOT=%buildroot

mkdir -p %buildroot%_desktopdir
rm -f %buildroot%_desktopdir/UDAV.desktop
cat <<EOF >%buildroot%_desktopdir/%name.desktop
[Desktop Entry]
Encoding=UTF-8
Name=UDAV
Comment[en_US]=Data handling and plotting tool
Comment[ru_RU]=.б.або.ка и о.об.ажение данн..
Exec=%name
Icon=%_datadir/udav/udav.png
Terminal=false
Type=Application
Categories=Application;Science;Math
EOF

mkdir -p %buildroot%_iconsdir
mv %buildroot%_datadir/%name/%name.png %buildroot%_iconsdir

%find_lang %name

%files -f %name.lang
%_bindir/udav
%doc TODO ChangeLog.txt
%_datadir/doc/%name/
#%_pixmapsdir/*
%_iconsdir/%name.png
%_desktopdir/%name.desktop

%changelog
* Sat Jan 09 2010 Vitaly Lipatov <lav@altlinux.ru> 0.6-alt0.M51.1
- backport to ALTLinux 5.1 (by rpmbph script)

* Sun Jan 03 2010 Vitaly Lipatov <lav@altlinux.ru> 0.6-alt1
- new version (0.6) import in git

* Sun Jan 03 2010 Vitaly Lipatov <lav@altlinux.ru> 0.5.2-alt1
- initial build for ALT Linux Sisyphus
